# Bulk Collect: Base Jobs API

## Overview

Discover the Bulk Collect (Bulk API) capabilities and explore potential uses for efficiently retrieving jobs data in batches. Find all Bulk Collect related information in the following topic:

<table data-view="cards"><thead><tr><th></th><th data-hidden data-card-target data-type="content-ref"></th></tr></thead><tbody><tr><td>General information about Bulk Collect</td><td><a href="../../../api-introduction/requests/bulk-collect">bulk-collect</a></td></tr></tbody></table>

## Endpoints

Bulk Collect is an extension of Base Jobs API and consists of **two POST** and **two GET** endpoints.

Collect job posting data in bulk using a job posting ID list or search filters.

| Request type | Endpoint                                                    |
| ------------ | ----------------------------------------------------------- |
| POST         | */v2/data\_requests/job\_base/id\_file*                     |
| POST         | */v2/data\_requests/job\_base/filter*                       |
| GET          | */v2/data\_requests/{data\_request\_id}/files*              |
| GET          | */v2/data\_requests/{data\_request\_id}/files/{file\_name}* |

### Limiting returned record count

Include the parameter `"limit": int` to control the number of records returned by your queries.

This parameter is entirely optional; however, use it to make sure you don't use too many credits with your Bulk Collect queries.

**Request example to retrieve five records**

{% code title="Filters" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/job_base/filter' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
    "webhook_url": "{optional_webhook_url}",
    "limit": 5,
    "filters": {
        "created_at_gte": "2023-05-01 00:00:01",
        "created_at_lte": "2023-05-07 00:00:01",
        "company_professional_network_url": "https://www.professional-network.com/company/thermo-fisher-scientific"
    }
}'
```

{% endcode %}

## Credits

Your credits for Base Jobs API will also apply to Bulk Collect data collection requests.

Learn about the credits in Bulk Collect usage in the [general Bulk Collect](https://docs.coresignal.com/api-introduction/requests/bulk-collect#credits) topic.

## Rate limits

Bulk Collect endpoints have limited requests allowed per second. Learn about rate limits in Bulk Collect usage in the main [Base Jobs API](https://docs.coresignal.com/jobs-api/base-jobs-api/..#rate-limits) topic.

## Webhooks

POST endpoints allow you to add webhooks and get notified when your data request is ready.

{% hint style="info" %}
Keep in mind that `webhook_url` is **optional.**
{% endhint %}

{% tabs %}
{% tab title="Search filter template" %}
{% code title="Search filter template" %}

```json
{
  "webhook_url": "{optional_webhook_url}",
  "filters": {}
}
```

{% endcode %}
{% endtab %}

{% tab title="ID file cURL template" %}
{% code title="ID file cURL template" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/data_requests/job_base/id_file' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: multipart/form-data' \
  -F 'ids_file=@id_list_example.csv;type=text/csv' \
  -F 'webhook_url={optional_webhook_url}'
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/jobs-api/base-jobs-api/endpoints/bulk-collect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
